diff --git a/media/gpu/chromeos/BUILD.gn b/media/gpu/chromeos/BUILD.gn
index a5c8945..d742d80 100644
--- a/media/gpu/chromeos/BUILD.gn
+++ b/media/gpu/chromeos/BUILD.gn
@@ -32,6 +32,7 @@ source_set("chromeos") {
 
   if (use_vaapi) {
     deps += [
+      "//build/config/linux/libdrm",
       "//media/gpu/vaapi",
       "//media/gpu/vaapi:common",
     ]
diff --git a/media/gpu/chromeos/video_decoder_pipeline.cc b/media/gpu/chromeos/video_decoder_pipeline.cc
index 2d77cd9..1883fd4 100644
--- a/media/gpu/chromeos/video_decoder_pipeline.cc
+++ b/media/gpu/chromeos/video_decoder_pipeline.cc
@@ -4,6 +4,9 @@
 
 #include "media/gpu/chromeos/video_decoder_pipeline.h"
 
+#if BUILDFLAG(USE_VAAPI)
+#include <drm_fourcc.h>
+#endif
 #include <memory>
 
 #include "base/bind.h"
@@ -28,7 +31,6 @@
 
 #if BUILDFLAG(USE_VAAPI)
 #include "media/gpu/vaapi/vaapi_video_decoder.h"
-#include "third_party/libdrm/src/include/drm/drm_fourcc.h"
 #elif BUILDFLAG(USE_V4L2_CODEC)
 #include "media/gpu/v4l2/v4l2_video_decoder.h"
 #else
